Page MenuHomePhabricator

Mobile talk page editor saves replies in the wrong section when the page has any sub-sections
Closed, ResolvedPublic

Description

Mobile talk page editor saves replies in the wrong section when the page has any sub-sections.

Consider a talk page like this:

== a ==
asdf [[User:Matma Rex|Matma Rex]] ([[User talk:Matma Rex|<font color="green">''talk</font>]]) 20:31, 14 May 2020 (UTC)

=== a-a ===
asdf [[User:Matma Rex|Matma Rex]] ([[User talk:Matma Rex|<font color="green">''talk</font>]]) 20:31, 14 May 2020 (UTC)

=== a-b ===
asdf [[User:Matma Rex|Matma Rex]] ([[User talk:Matma Rex|<font color="green">''talk</font>]]) 20:31, 14 May 2020 (UTC)

== b ==
asdf [[User:Matma Rex|Matma Rex]] ([[User talk:Matma Rex|<font color="green">''talk</font>]]) 20:31, 14 May 2020 (UTC)

This has four sections, although in the mobile talk page view only the two top-level sections are shown:

However, the discrepancy between four sections and two top-level sections is not considered, and when you try to reply to the second top-level section "b", the reply actually goes to the end of the second section "a-a".

Real life example:

The reply should have been placed here:

Event Timeline

matmarex created this task.May 14 2020, 8:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2020, 8:43 PM

Change 596511 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/skins/MinervaNeue@master] Fix posting talk page replies on pages with subsections

https://gerrit.wikimedia.org/r/596511

Change 596511 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Fix posting talk page replies on pages with subsections

https://gerrit.wikimedia.org/r/596511

Ryasmeen edited projects, added Verified; removed Editing QA.May 29 2020, 9:32 PM
ppelberg closed this task as Resolved.Jun 5 2020, 1:25 AM